지원 티켓 만들기
팔로우

Q100421 : MacOS 10.14 (Mojave)에서 OpenGL 및 OpenCL을 사용하지 않는 Apple

개요

이 기사에서는 Apple의 OpenGL 및 OpenCL 지원 중단이 Foundry 제품에 어떤 영향을 미치는지 설명합니다.

추가 정보

애플 은 OpenGL과 OpenCL을 사용하지 않을 것이라고 발표 했지만, 앞으로 출시 될 macOS 버전 인 10.14 (Mojave)에서도 계속 실행될 것입니다. 그들은 또한
사용되지 않는 API는 결국 운영 체제의 차후 버전에서 완전히 제거 될 수 있습니다.

macOS 10.14부터는 Apple이 게임 및 그래픽 집약적 인 응용 프로그램 대신 기본 GPU 처리 프레임 워크 인 Metal을 사용할 것을 권장합니다.

현재 macOS는 최신 Mac 컴퓨터에서 OpenGL 4.1까지 지원하며 각 제품에 대한 OpenGL 요구 사항은 아래에서 확인할 수 있습니다.

Nuke / 누케 / 누크 스튜디오 / Hiero / CaraVR - OpenGL 2.0
Mari - OpenGL 3.2 이상 (또는 게재 위치 미리보기 4.0 이상)
Modo - OpenGL 3.2
Colorway - OpenGL 3.2
참고 : Katana는 현재 macOS를 지원하지 않습니다.

파운드리 제품은 여전히 macOS 10.14에서 작동합니까?

MacOS 10.14에 대한 Apple의 비추 경고는 OpenGL과 OpenCL이 앞으로 Apple에서 거의 개발되지 않을 것이라는 것을 의미하지만 API는 곧 macOS 10.14 버전에 존재할 것입니다.

이러한 API가 완전히 제거 될 때 또는 macOS 10.15 이상에서 사용할 수있는시기에 대한 정확한 일정은 없습니다.

우리 제품 팀은 macOS 10.15 이상을 지원하는 것과 관련하여 어떤 변화가 필요할지 이미 검토하기 시작했습니다.

응용 프로그램의 OpenGL / CL 요구 사항, 10.14의 OpenGL / CL 품질 및 10.15 이후의 가용성 수준에 따라 OpenGL / OpenCL이 포함 된 지원되는 MacOS 버전을 사용하는 것이 좋습니다. 10.15 이상의 제품

Foundry 제품은 향후 Metal을 지원할 것입니까?

OpenGL과 OpenCL이 더 이상 사용되지 않고 macOS에서 제거 될 것이라는 점을 감안할 때, 직접 또는 간접적으로 GPU 그래픽을 지원하고 컴퓨팅이 필요할 것입니다.

이에 필요한 변경 사항은 사소한 것이 아니며 최선의 방법을위한 옵션을 평가하고 있습니다.

우리 제품에는 다양한 OpenCL / OpenGL 의존성이 있으며 이러한 지원에 대한 개발 일정은 제품마다 다를 수 있습니다.

도움이 되었습니까?
/

We're sorry to hear that!

Please tell us why.
24명 중 19명이 도움이 되었다고 했습니다.

댓글